Morpho - Bug #5803

Tag a release of ECP client code
01/23/2013 10:21 AM - ben leinfelder

Status: Resolved Start date: 01/23/2013
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: morpho - general Estimated time: 0.00 hour
Target version: 2.0.0 Spent time: 0.00 hour
Bugzilla-ld: 5803

Description

Before we release, | would like to have a tagged (stable) version of the simple-ecp-client building in hudson. Right now | am building
a -SNAPSHOT off of my github repository. At the very least, this should be pulling from a tag that is not creating a -SNAPSHOT jar.

See #5741 for additional background info

Related issues:

Blocks Morpho - Bug #5741: Decide on login procedure Resolved 11/20/2012
Blocked by Morpho - Bug #5736: Morpho DataONE refactor - tracker New 11/19/2012
History

#1 - 01/31/2013 04:28 PM - ben leinfelder

The ECP client depends on shibboleth openSAML libraries that are at 3.0-SNAPSHOT. They have not released 3.0.0 yet. So...we will be cutting a
release on a potentially moveable target.

#2 - 02/01/2013 02:02 PM - ben leinfelder

| tagged "0.0.2" in Github:
https://github.com/leinfelder/simple-ecp-client/tree/simple-ecp-client-0.0.2

Set up a stable build for ECP in Hudson:
http://dev-testing.dataone.org:8080/hudson/job/simple-ecp-client-stable/

And changed Morpho to pull the non-snapshot 0.0.2.jar.

#3 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5803
